#
# Expire password for all users
#
required_features:
  - sshd
cloud_config: |
  #cloud-config
  chpasswd: { expire: True }
  ssh_pwauth: yes
  users:
    - default
    - name: tom
      password: $1$xyz$sPMsLNmf66Ohl.ol6JvzE.
      lock_passwd: false
    - name: dick
      password: $1$xyz$sPMsLNmf66Ohl.ol6JvzE.
      lock_passwd: false
    - name: harry
      password: $1$xyz$sPMsLNmf66Ohl.ol6JvzE.
      lock_passwd: false
    - name: jane
      password: $1$xyz$sPMsLNmf66Ohl.ol6JvzE.
      lock_passwd: false
collect_scripts:
  shadow: |
    #!/bin/bash
    cat /etc/shadow
  sshd_config: |
    #!/bin/bash
    grep '^PasswordAuth' /etc/ssh/sshd_config

# vi: ts=4 expandtab
